Package org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

# Class OQLContentAssistantProcessor

java.lang.Object
org.eclipse.mat.ui.snapshot.panes.oql.contentAssist.OQLContentAssistantProcessor

All Implemented Interfaces:
  `IContentAssistProcessor`

public class OQLContentAssistantProcessor extends Object implements IContentAssistProcessor
Provides the actual context assistant

## Constructor Summary

Constructors
Constructor
Description
`OQLContentAssistantProcessor(SuggestionProvider suggestionProvider, ContextExtractor extractor)`
Base constructor that initializes suggestion provider and extractor.

## Method Summary

Modifier and Type
Method
Description
`ICompletionProposal[]`
`computeCompletionProposals(ITextViewer arg0, int arg1)`
Asks the extractor to get the context, then gets the list of suggestions through the provider and builds the ICompletionProposal array to be returned.
`IContextInformation[]`
`computeContextInformation(ITextViewer arg0, int arg1)`
`char[]`
`getCompletionProposalAutoActivationCharacters()`
`char[]`
`getContextInformationAutoActivationCharacters()`
`IContextInformationValidator`
`getContextInformationValidator()`
`String`
`getErrorMessage()`
`IContextInformation[]`
`getLastContextInformation()`
`void`
`setLastContextInformation(IContextInformation[] last)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OQLContentAssistantProcessor

public OQLContentAssistantProcessor(SuggestionProvider suggestionProvider, ContextExtractor extractor)
Base constructor that initializes suggestion provider and extractor.

Parameters:
  `suggestionProvider` -
  `extractor` -

## Method Details

### computeCompletionProposals

public ICompletionProposal[] computeCompletionProposals(ITextViewer arg0, int arg1)
Asks the extractor to get the context, then gets the list of suggestions through the provider and builds the ICompletionProposal array to be returned.

Specified by:
  `computeCompletionProposals` in interface `IContentAssistProcessor`
Parameters:
  `arg0` - is the text viewer we are working on
  `arg1` - is the current position.

### computeContextInformation

public IContextInformation[] computeContextInformation(ITextViewer arg0, int arg1)

Specified by:
  `computeContextInformation` in interface `IContentAssistProcessor`

### getCompletionProposalAutoActivationCharacters

public char[] getCompletionProposalAutoActivationCharacters()

Specified by:
  `getCompletionProposalAutoActivationCharacters` in interface `IContentAssistProcessor`

### getContextInformationAutoActivationCharacters

public char[] getContextInformationAutoActivationCharacters()

Specified by:
  `getContextInformationAutoActivationCharacters` in interface `IContentAssistProcessor`

### getContextInformationValidator

public IContextInformationValidator getContextInformationValidator()

Specified by:
  `getContextInformationValidator` in interface `IContentAssistProcessor`

### getErrorMessage

public String getErrorMessage()

Specified by:
  `getErrorMessage` in interface `IContentAssistProcessor`

### getLastContextInformation

public IContextInformation[] getLastContextInformation()

### setLastContextInformation

public void setLastContextInformation(IContextInformation[] last)